# objects.killclass Removes a class definition
Usage
    objects.killclass [-q] <classname>
Description
Removes the definition of the class <class_name>. All the instances of the class are killed (thus children objects are killed too). All the derived class definitions are removed as well. Builtin class definitions cannot be removed and this commands kills only all the instances of that class (derived class definitions and instances in this case are NOT killed).
Switches
-q | --quiet
Suppresses any warning message
Syntax Specification
    objects.killclass [-q] <classname:string>
See also
class, objects.clear, $classdefined(), objects documentation

Index, Commands

KVIrc 4.0.4.4744 Documentation
Generated by kerd at Fri Mar 25 20:00:07 2011